package com.ruoyi.demo.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class StoreWdVo {
    @NotBlank(message = "网点Id不能为空",groups = {EditGroup.class})
    private String wdId;
    @NotBlank(message = "网点名称不能为空",groups = {EditGroup.class})
    private String wdName;

    @NotBlank(message = "地址信息不能为空",groups = {EditGroup.class})
    private String addrInfo;
    @NotBlank(message = "地区Code不能为空",groups = {EditGroup.class})
    private String addrCode;
    @NotBlank(message = "地址信息不能为空",groups = {EditGroup.class})
    private String addrCodeInfo;
    @NotNull(message = "纬度不能为空",groups = {EditGroup.class})
    private BigDecimal lat;
    @NotNull(message = "经度不能为空",groups = {EditGroup.class})
    private BigDecimal lng;
    private String typeCodeBy;
    private String typeNameBy;
    private String wdTypeCode;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date enterTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    private String collectUserId;
    private String collectPerson;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /**
     * 品牌_id（外键）
     */
    private String brandId;
    /**
     * 品牌名字
     */
    private String brandName;
    /**
     * 人均消费
     */
    private Double perCapitaConsumption;
    /**
     * 经营类别
     */
    private String manageTypeCode;
    /**
     * 行业分类（关联行业分类表）
     */
    private String industryCode;
    /**
     * 门店规模（连锁）
     */
    private String organizationCode;
    /**
     * 网点评论数
     */
    private int commentCount;
    /**
     * 网点评分
     */
    private Double score;
    /**
     * 网点团购信息
     */
    private String buyInfo;
    /**
     * 旺店指数
     */
    private double indexScore;
    /**
     * 营业状态（正常、暂停、尚未营业）
     */
    private String businessStatus;
    /**
     * 营业时间
     */
    private String businessTime;
    /**
     * 联系电话
     */
    private String telephone;
    /**
     * 联系人
     */
    private String contact;
    /**
     * 渠道商类型
     */
    private String channelType;
    /**
     * 开店时间
     */
    private String opentime;
    /**
     * 关店时间
     */
    private String closetime;
}
